
int oldSoftpot1=1024;
int oldSoftpot2=1024;
boolean softpot1waspressed = true;
boolean softpot2waspressed = true;

#define NUM_DIV 70


int checkSoftpot1()
{
  if(SoftPot1 > 1010)
  {
    if(softpot1waspressed==true)
    {
#if debugprint
      Serial.print("Softpot1 Turning off note ");
      Serial.println(oldSoftpot1);
#endif 
      sendMidiMessage(0x80, (RootNote-oldSoftpot1)+36,0);  
      softpot1waspressed = false;
      SoftPot1 = SoftPot1/NUM_DIV;
      oldSoftpot1=SoftPot1;
      return 1;
    }
  }

  SoftPot1 = SoftPot1/NUM_DIV;

  if(SoftPot1!=oldSoftpot1)
    if(softpot1waspressed==false)
    { 
#if debugprint
      Serial.print("Softpot1 turning on Note: ");
      Serial.println(SoftPot1);
#endif
      oldSoftpot1=SoftPot1;
      sendMidiMessage(0x90,(RootNote-SoftPot1)+36,0x110); 
      softpot1waspressed = true;

    }

  return 1;

}



int checkSoftpot2()
{
  if(SoftPot2 > 1020)
  {
    if(softpot2waspressed==true)
    {
#if debugprint
      Serial.print("Softpot2 Turning off note ");
      Serial.println(oldSoftpot2);
#endif 
      sendMidiMessage(0x80, (RootNote-oldSoftpot2)+24,0);  
      softpot2waspressed = false;
      SoftPot2 = SoftPot2/NUM_DIV;
      oldSoftpot2=SoftPot2;
      return 1;
    }
  }

  SoftPot2 = SoftPot2/NUM_DIV;

  if(SoftPot2!=oldSoftpot2)
    if(softpot2waspressed==false)
    { 
#if debugprint
      Serial.print("Softpot2 turning on Note: ");
      Serial.println(SoftPot2);
#endif
      oldSoftpot2=SoftPot2;
      sendMidiMessage(0x90,(RootNote-SoftPot2)+24,0x110); 
      softpot2waspressed = true;

    }

  return 1;

}

void run_guitarMode()
{
  int key;

  checkSoftpot2();
  checkSoftpot1();

  key=getNextUnhandeledKeyPress();
  while(key!=-1)
  {  
    sendMidiMessage(0x90, RootNote+key,getVelocityForKey(key));
    key=getNextUnhandeledKeyPress();  
  }

  key=getNextUnhandeledKeyRelease();
  while(key!=-1)
  {  
    sendMidiMessage(0x80, RootNote+key,0); 
    key=getNextUnhandeledKeyRelease();
  }

}
