

void setup() 
{

#if usesMidi
  setup_midi();
#else
  Serial.begin(9600);
#endif

  setup_button();
  setup_shiftButton();
  setup_softpots();
  setup_ButtonStates();

}

void loop() 
{
  populate_softpots();
  populate_buttons();
  checkShiftButton();
  transMitButtonsToSM();

  /*  
   printButtons();
   printpots();
   */
  if(isShift)
    run_shiftMode();
  else
  {
    if (mode==10)
      run_testMode();
    if (mode==0)
    {
      populate_softpots(); //checking this again to loos those irritating blip's that sometimes happen.
      run_guitarMode();
    }
    if (mode==1)
      run_guitarHeroMode();


  }
}
